List download sessions
GET
/v1/download-sessionscurl -X GET 'https://api.embodiflow.io/v1/download-sessions' \
-H 'Authorization: Bearer $EMBODIFLOW_PAT'认证
每个请求都需要携带个人访问令牌(PAT)。
- Authorization: Bearer PAT
查询参数
- pageSizenumber
Page size (default 25, maximum 100). Over-maximum is refused.
- pageTokenstring
Opaque page token from the previous response.
- sortBystring
- sortOrderstring可选值ascdesc
- statusstring
- artifactIdstring (uuid)
- datasetVersionIdstring (uuid)
响应
Success
- dataarray<DownloadSessionSummaryDto>必填
- idstring必填
- tenantIdstring必填
- scopeTypestring必填
- scopeIdstring必填
- datasetVersionIdstring | null必填
- artifactIdstring | null必填
- storageBucketIdstring | null必填
- manifestObjectIdstring | null必填
- objectPrefixstring | null必填
- accessModestring必填
- deliveryModestring必填
- statusstring必填
- expiresAtstring必填
- lastUsedAtstring | null必填
- createdAtstring必填
- updatedAtstring必填
- metaobject必填
- pageSizenumber必填
- requestIdstring
- nextPageTokenstring
Opaque AIP-158 page token. Omitted when the collection is exhausted.
响应示例
{
"data": [
{
"id": "string",
"tenantId": "string",
"scopeType": "string",
"scopeId": "string",
"datasetVersionId": "string",
"artifactId": "string",
"storageBucketId": "string",
"manifestObjectId": "string",
"objectPrefix": "string",
"accessMode": "string",
"deliveryMode": "string",
"status": "string",
"expiresAt": "string",
"lastUsedAt": "string",
"createdAt": "string",
"updatedAt": "string"
}
],
"meta": {
"pageSize": 0,
"requestId": "string"
},
"nextPageToken": "string"
}服务器https://api.embodiflow.io/v1https://api.embodiflow.dev/v1